Datasets
Returns whether or not this upload chunk has already been sent
Returns whether or not this upload chunk has already been sent, which is useful for resuming uploads
GET
/
datasetrw
/
datasets
/
{datasetId}
/
snapshot
/
file
/
test
Returns whether or not this upload chunk has already been sent
curl --request GET \
--url https://mycluster.domino.tech/datasetrw/datasets/{datasetId}/snapshot/file/testimport requests
url = "https://mycluster.domino.tech/datasetrw/datasets/{datasetId}/snapshot/file/test"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/datasetrw/datasets/{datasetId}/snapshot/file/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"directorySize": "<string>",
"rows": [
{
"lastModified": 123,
"name": {
"fileName": "<string>",
"isDirectory": true,
"label": "<string>",
"sortableName": "<string>",
"url": "<string>"
},
"size": {
"label": "<string>",
"sizeInBytes": 123
}
}
]
}
]{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}Path Parameters
ID of Dataset
Query Parameters
Number of the current chunk
Total number of chunks of the file to upload
Unique identifier for the file to upload
Unique identifier for this upload session
Checksum of the file to upload
Last modified on September 3, 2026
Was this page helpful?
⌘I
Returns whether or not this upload chunk has already been sent
